import java.sql.*;

public class Prepared {
    public static void main(String[] args) {
        try {
	    // MySQL-Treiber ber Java-Reflection laden
	    Class.forName("com.mysql.jdbc.Driver").newInstance();
	}
	catch (Exception e) {
	    // evtl. Exception transformieren
	    throw new RuntimeException("MySQL driver not found: "+e);
	}

	Connection con = null;

	try {
	    String url = "jdbc:mysql://theseus:14317/mydb";
	    // Verbindung herstellen
	    con = DriverManager.getConnection(url, "sep", "test");

	    PreparedStatement stmt = null;
	    
	    try {
		// SQL-Anweisung vorbereiten
	        String sql = "INSERT INTO Angestellte VALUES (?, ?, ?)";
		
	        // Objekt zum Ausfhren von SQL-Anweisungen erzeugen
	        stmt = con.prepareStatement(sql);

		// VON HIER ...

		// Fragezeichen mit Werten belegen
		stmt.setInt(1, 5);
		stmt.setString(2, "Ulrike Krause");
		stmt.setString(3, "SAI");
		
		// SQL-Anweisung ausfhren => liefert Anzahl betroffender DS
		int count = stmt.executeUpdate();

		System.out.println(count+" betroffene Datenstze");

		// ... BIS HIER oft in einer Schleife
	    }
	    finally {
	        // Statement wieder sauber schlieen
	        if (stmt != null) {
	            try { stmt.close(); }
		    catch (SQLException e) { }
		}
	    }
	}
	catch (SQLException e) {
	    System.err.println("Exception: "+e);
	}
	finally {
	    // in jedem Fall die Verbindung sauber beenden
	    if (con != null) {
	        try { con.close(); }
		catch (SQLException e) { }
	    }
	}
    }
}
