import java.sql.*;

public class Query2 {
    public static void main(String[] args) {
        try {
	    // MySQL-Treiber ber Java-Reflection laden
	    Class.forName("com.mysql.jdbc.Driver").newInstance();
	}
	catch (Exception e) {
	    // evtl. Exception transformieren
	    throw new RuntimeException("MySQL driver not found: "+e);
	}

	Connection con = null;

	try {
	    String url = "jdbc:mysql://theseus:14317/mydb";
	    // Verbindung herstellen
	    con = DriverManager.getConnection(url, "sep", "test");

	    Statement stmt = null;
	    
	    try {
	        // Objekt zum Ausfhren von SQL-Anweisungen erzeugen
	        stmt = con.createStatement();

		// SQL-Anweisung vorbereiten
	        String sql = "SELECT * FROM Dummy";

		// SQL-Anweisung ausfhren
	        ResultSet rs = stmt.executeQuery(sql);

		// ResultSet iterieren
		while (rs.next()) {
		    int id = rs.getInt("id");

		    int count = rs.getInt("count");
		    // war letzter mit get...() gelesener
		    // Wert eigentlich NULL?
		    boolean count_null = rs.wasNull();

		    System.out.print("id="+id+" count="+count);
		    System.out.println(" (count=NULL? "+count_null+")");
		}
	    }
	    finally {
	        // Statement wieder sauber schlieen
	        if (stmt != null) {
	            try { stmt.close(); }
		    catch (SQLException e) { }
		}
	    }
	}
	catch (SQLException e) {
	    System.err.println("Exception: "+e);
	}
	finally {
	    // in jedem Fall die Verbindung sauber beenden
	    if (con != null) {
	        try { con.close(); }
		catch (SQLException e) { }
	    }
	}
    }
}
